<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    tools:context=".EndActivity">

    <com.google.android.material.textfield.TextInputEditText
        android:id="@+id/MajorPenalty"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:hint="Major Penalty"
        android:imeOptions="actionDone"
        android:inputType="number"
        android:textAlignment="center"
        android:textColor="@color/white"
        android:textColorHint="@color/gray_hint"
        app:layout_constraintBottom_toTopOf="@+id/teamnumber"
        app:layout_constraintEnd_toStartOf="@+id/guideline"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/guideline2" />

    <com.google.android.material.textfield.TextInputEditText
        android:id="@+id/MinorPenalty"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:hint="Minor Penalty"
        android:imeOptions="actionDone"
        android:inputType="number"
        android:textAlignment="center"
        android:textColor="@color/white"
        android:textColorHint="@color/gray_hint"
        app:layout_constraintBottom_toTopOf="@+id/teamnumber"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="@id/guideline"
        app:layout_constraintTop_toTopOf="@+id/guideline2" />

    <LinearLayout
        android:id="@+id/linearLayout2"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <RadioGroup
            android:layout_width="match_parent"
            android:layout_height="wrap_content"/>

        <com.google.android.material.textfield.TextInputLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

        </com.google.android.material.textfield.TextInputLayout>

    </LinearLayout>

    <Button
        android:id="@+id/Submit_button"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:layout_marginEnd="8dp"
        android:backgroundTint="@color/main"
        android:text="@string/submit_data"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/BackButton" />

    <Button
        android:id="@+id/BackButton"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="4dp"
        android:backgroundTint="@color/main"
        android:text="@string/back_hold"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/Submit_button"
        app:layout_constraintStart_toStartOf="parent" />

    <com.google.android.material.textfield.TextInputEditText
        android:id="@+id/Notes"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:hint="@string/notes"
        android:textColor="@color/white"
        android:textColorHint="@color/gray_hint"
        android:maxLines="1"
        android:inputType="text|textCapSentences"
        app:layout_constraintTop_toTopOf="parent"
        tools:layout_editor_absoluteX="1dp" />

    <TextView
        android:id="@+id/teamnumber"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:text="@string/team_2648"
        android:textColor="@color/white"
        android:textSize="34sp"
        app:layout_constraintBottom_toTopOf="@+id/BackButton"
        app:layout_constraintEnd_toStartOf="@+id/matchNumber"
        app:layout_constraintStart_toStartOf="parent" />

    <TextView
        android:id="@+id/matchNumber"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:text="0"
        android:textColor="@color/white"
        android:textSize="34sp"
        app:layout_constraintBottom_toTopOf="@+id/Submit_button"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/teamnumber" />


    <RadioGroup
        android:id="@+id/radioGroup2"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@+id/guideline2"
        app:layout_constraintEnd_toStartOf="@+id/radioGroup3"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/Notes">

        <RadioButton
            android:id="@+id/radioButtonL0"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/l0"
            android:textColor="@color/white"
            app:buttonTint="@color/main" />

        <RadioButton
            android:id="@+id/radioButtonL1"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/l1"
            android:textColor="@color/white"
            app:buttonTint="@color/main" />

        <RadioButton
            android:id="@+id/radioButtonL2"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/l2"
            android:textColor="@color/white"
            app:buttonTint="@color/main" />

        <RadioButton
            android:id="@+id/radioButtonL3"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/l3"
            android:textColor="@color/white"
            app:buttonTint="@color/main" />

    </RadioGroup>

    <RadioGroup
        android:id="@+id/radioGroup3"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@+id/guideline2"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="@+id/guideline"
        app:layout_constraintTop_toBottomOf="@+id/Notes">

        <RadioButton
            android:id="@+id/radioButtonDN1"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/DN1"
            android:textColor="@color/white"
            app:buttonTint="@color/main" />

        <RadioButton
            android:id="@+id/radioButtonD0"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/D0"
            android:textColor="@color/white"
            app:buttonTint="@color/main" />

        <RadioButton
            android:id="@+id/radioButtonD1"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/D1"
            android:textColor="@color/white"
            app:buttonTint="@color/main" />

        <RadioButton
            android:id="@+id/radioButtonD2"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/D2"
            android:textColor="@color/white"
            app:buttonTint="@color/main" />

        <RadioButton
            android:id="@+id/radioButtonD3"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/D3"
            android:textColor="@color/white"
            app:buttonTint="@color/main" />

        <RadioButton
            android:id="@+id/radioButtonD4"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/D4"
            android:textColor="@color/white"
            app:buttonTint="@color/main" />

        <RadioButton
            android:id="@+id/radioButtonD5"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/D5"
            android:textColor="@color/white"
            app:buttonTint="@color/main" />
    </RadioGroup>

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.5" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guideline2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintGuide_percent="0.5"
        app:layout_constraintStart_toStartOf="parent" />

    <TextView
        android:id="@+id/textView"
        android:layout_width="wrap_content"
        android:layout_height="19dp"
        android:text="Major Pently"
        android:textColor="@color/white"
        app:layout_constraintBottom_toTopOf="@+id/MajorPenalty"
        app:layout_constraintEnd_toStartOf="@+id/guideline"
        app:layout_constraintStart_toStartOf="parent" />

    <TextView
        android:id="@+id/textView4"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Minor Pently"
        android:textColor="@color/white"
        app:layout_constraintBottom_toTopOf="@+id/MinorPenalty"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="@+id/guideline" />


</androidx.constraintlayout.widget.ConstraintLayout>